% Funzione che attiva o disattiva la scrittura dei sensori
function [scrivoTuL,scrivoRL,scrivoTLH,scrivoTLHRH,scrivoPCL,scrivoPCLHR,scrivoPL,...
    scrivoLL,scrivoEL,scrivo3DEL,scrivoWEL,scrivoMPBEL,scrivoAL,...
    scrivoCrL,scrivo3DCrL,scrivo2DCrL,scrivoSM] = scrivo(X_TuL,X_RL,...
    Z_TLH,Z_TLHRH,Z_PCL,Z_PCLHR,DatiPressure,DatiLoad,...
    DatiExtensometer,DatiExtensometer3D,DatiWireExtensometer,DatiMultiBase,...
    DatiAnalog,DatiCrack,Dati3DCrack,Dati2DCrack,DatiStress,FileName)

TuL = isempty(X_TuL);
if TuL == 1
   scrivoTuL = 0;
else
    scrivoTuL = 1;
end

RL = isempty(X_RL);
if RL == 1
   scrivoRL = 0;
else
    scrivoRL = 1;
end

TLH = isempty(Z_TLH);
if TLH == 1
   scrivoTLH = 0;
else
    scrivoTLH = 1;
end

TLHRH = isempty(Z_TLHRH);
if TLHRH == 1
   scrivoTLHRH = 0;
else
    scrivoTLHRH = 1;
end

PCL = isempty(Z_PCL);
if PCL == 1
   scrivoPCL = 0;
else
    scrivoPCL = 1;
end

PCLHR = isempty(Z_PCLHR);
if PCLHR == 1
   scrivoPCLHR = 0;
else
    scrivoPCLHR = 1;
end

PL = isempty(DatiPressure);
if PL == 1
   scrivoPL = 0;
else
    scrivoPL = 1;
end

LL = isempty(DatiLoad);
if LL == 1
   scrivoLL = 0;
else
    scrivoLL = 1;
end

EL = isempty(DatiExtensometer);
if EL == 1
   scrivoEL = 0;
else
    scrivoEL = 1;
end

EL3D = isempty(DatiExtensometer3D);
if EL3D == 1
   scrivo3DEL = 0;
else
    scrivo3DEL = 1;
end

WEL = isempty(DatiWireExtensometer);
if WEL == 1
   scrivoWEL = 0;
else
    scrivoWEL = 1;
end

MPBEL = isempty(DatiMultiBase);
if MPBEL == 1
   scrivoMPBEL = 0;
else
    scrivoMPBEL = 1;
end

AL = isempty(DatiAnalog);
if AL == 1
   scrivoAL = 0;
else
    scrivoAL = 1;
end

CrL = isempty(DatiCrack);
if CrL == 1
   scrivoCrL = 0;
else
    scrivoCrL = 1;
end

CrL3D = isempty(Dati3DCrack);
if CrL3D == 1
   scrivo3DCrL = 0;
else
    scrivo3DCrL = 1;
end

CrL2D = isempty(Dati2DCrack);
if CrL2D == 1
   scrivo2DCrL = 0;
else
    scrivo2DCrL = 1;
end

SM = isempty(DatiStress);
if SM == 1
   scrivoSM = 0;
else
    scrivoSM = 1;
end

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'scrivo function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end